Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface AnalysisAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface AnalysisAdaptor
extends Adaptor

Provides access to Analyses in the datasource.

Field Summary
`static java.lang.String` | `TYPE` Name of the default AnalysisAdaptor available from a driver.

Method Summary
`void` | `delete(Analysis analysis)`
`void` | `delete(long internalID)`
`java.util.List` | `fetch()`
`Analysis` | `fetch(long internalID)`
`java.util.List` | `fetchByGffFeature(java.lang.String gffFeature)`
`Analysis` | `fetchByLogicalName(java.lang.String logicalName)`
`long` | `store(Analysis analysis)` Stores analysis.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default AnalysisAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### store

    public long store(Analysis analysis)
               throws AdaptorException

  Stores analysis.

  Throws:
    `AdaptorException`

### delete

    public void delete(Analysis analysis)
                throws AdaptorException

  Parameters:
    `analysis` - analysis to delete.
  Throws:
    `AdaptorException` - if an adaptor error occurs

### delete

    public void delete(long internalID)
                throws AdaptorException

  Parameters:
    `internalID` - internalID of analysis to delete.
  Throws:
    `AdaptorException` - if an adaptor error occurs

### fetch

    public Analysis fetch(long internalID)
                   throws AdaptorException

  Returns:
    An analysis object matching the internalID, or null if non found.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch()
                         throws AdaptorException

  Returns:
    A list of all Analysis objects in the database, or null if none found
  Throws:
    `AdaptorException`

### fetchByLogicalName

    public Analysis fetchByLogicalName(java.lang.String logicalName)
                                throws AdaptorException

  Returns:
    An Analysis object matching the logicalName, or null if non found.
  Throws:
    `AdaptorException`

### fetchByGffFeature

    public java.util.List fetchByGffFeature(java.lang.String gffFeature)
                                     throws AdaptorException

  Returns:
    An Analysis object matching the GFFFeature field, or null if non found.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD